Get async manual verification job status
curl --request GET \
--url https://api-beta.pepay.io/api/v1/invoice/{invoiceId}/verify \
--header 'x-session-token: <api-key>' \
--header 'x-signature: <api-key>'import requests
url = "https://api-beta.pepay.io/api/v1/invoice/{invoiceId}/verify"
headers = {
"x-session-token": "<api-key>",
"x-signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-session-token': '<api-key>', 'x-signature': '<api-key>'}
};
fetch('https://api-beta.pepay.io/api/v1/invoice/{invoiceId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"object": "invoice_manual_verification",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "<string>",
"attempt_count": 123,
"max_attempts": 123,
"next_attempt_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"completed_at": "<string>",
"result": {},
"error": {}
}
}{
"success": false,
"error": {
"code": "MANUAL_VERIFICATION_NOT_FOUND",
"message": "<string>"
}
}Merchant
Get async manual verification job status
Returns the latest manual verification job for the invoice (created via POST). Use this to poll after triggering manual verification.
GET
/
api
/
v1
/
invoice
/
{invoiceId}
/
verify
Get async manual verification job status
Authorizations
Payment session token (opaque). Returned when creating an invoice; send on every request.
Payment session signature in the format signature_hash.timestamp_ms (returned with the invoice/session).
Path Parameters
The invoice ID to fetch verification status for
Was this page helpful?
⌘I

